#ifndef PROCSTATE_H__
#define PROCSTATE_H__

#include <unistd.h>
#include <sys/types.h>

#ifndef __NR_sched_setprocstate
/*
 * states for sched_{get,set}procstate
 */
#define PROC_ENABLED		0
#define PROC_RESTRICTED		1
#define PROC_ISOLATED		2

#define __NR_sched_setprocstate	243
#define __NR_sched_getprocstate	244
#endif /* __NR_sched_setprocstate */

int sched_getprocstate(int cpu, int *state_ptr);
int sched_setprocstate(int cpu, int state);

#ifndef __NR_sched_setaffinity
#define __NR_sched_setaffinity	241
#define __NR_sched_getaffinity	242
#endif /* __NR_sched_setaffinity */

int sched_getaffinity(pid_t pid, size_t len, unsigned long *mask);
int sched_setaffinity(pid_t pid, size_t len, unsigned long *mask);

#endif /* PROCSTATE_H__ */
